| Kea 3.0.2-git

mt_lease_query_mgr.h File Reference
`#include <asiolink/io_address.h>`
`#include <asiolink/io_service.h>`
`#include <asiolink/io_service_thread_pool.h>`
`#include <tcp/mt_tcp_listener_mgr.h>`
`#include <lease_query_listener.h>`
`#include <thread>`
`#include <vector>`
Include dependency graph for mt_lease_query_mgr.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::lease_query::MtLeaseQueryListenerMgr
| Manages a thread-pool that is used to drive a LeaseQueryListener. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::lease_query

## Typedefs
typedef boost::shared_ptr< MtLeaseQueryListenerMgr > | isc::lease_query::MtLeaseQueryListenerMgrPtr
| Defines a shared pointer to MtLeaseQueryListenerMgr.